Skip to main content
PUT
/
v0
/
user
/
onboarding
curl --request PUT \
  --url 'https://api.unify.ai/v0/user/onboarding' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
{
    "user_id": "string",
    "current_step": "string",
    "step_data": "object",
    "created_at": "string",
    "updated_at": "string | null"
}
Update the current user’s onboarding progress. The step_data is validated based on the current_step to ensure only valid fields are stored.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

current_step
string
required
step_data
object | null
curl --request PUT \
  --url 'https://api.unify.ai/v0/user/onboarding' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{}'
{
    "user_id": "string",
    "current_step": "string",
    "step_data": "object",
    "created_at": "string",
    "updated_at": "string | null"
}